%s<% {stringi} | R Documentation

## Compare Strings with or without Collation

### Description

Relational operators for comparing corresponding strings in two character vectors, with a typical R look-and-feel.

### Usage

    e1 %s<% e2

    e1 %s<=% e2

    e1 %s>% e2

    e1 %s>=% e2

    e1 %s==% e2

    e1 %s!=% e2

    e1 %s===% e2

    e1 %s!==% e2

    e1 %stri<% e2

    e1 %stri<=% e2

    e1 %stri>% e2

    e1 %stri>=% e2

    e1 %stri==% e2

    e1 %stri!=% e2

    e1 %stri===% e2

    e1 %stri!==% e2

### Arguments

`e1, e2` | character vectors or objects coercible to character vectors

### Details

These functions call `stri_cmp_le` or its friends, using default collator options. Thus, they are vectorized over `e1` and `e2`.

`%stri==%` tests for canonical equivalence of strings (see `stri_cmp_equiv`) and is a locale-dependent operation. On the other hand, `%stri===%` performs a locale-independent, code point-based comparison.

### Value

All the functions return a logical vector indicating the result of a pairwise comparison. As usual, the elements of shorter vectors are recycled if necessary.

### See Also

Other locale_sensitive: `stri_compare`, `stri_count_boundaries`, `stri_duplicated`, `stri_enc_detect2`, `stri_extract_all_boundaries`, `stri_locate_all_boundaries`, `stri_opts_collator`, `stri_order`, `stri_split_boundaries`, `stri_trans_tolower`, `stri_unique`, `stri_wrap`, `stringi-locale`, `stringi-search-boundaries`, `stringi-search-coll`

### Examples

    "a" %stri<% "b"
    c("a", "b", "c") %stri>=% "b"

[Package stringi version 1.2.4 Index]